Update Initial Death Claim Notification Method

Updates the notification method (and related beneficiary/change details) for a party on an initial death claim case.

put

Path Parameters

planCodestringrequired

Plan Code

Example:EVIU101

policyNumberstringrequired

Policy Number

Example:EVIUL7RED022

partyIdstringrequired

Identifier of the party whose notification method is being updated

Example:e6954b3d-a0ef-47dc-ac49-046db6bc7da7

Body

application/json

IdnNotificationMethodUpdate

Internal payload used to update the notification method (and related beneficiary/change details) for a party on an initial death claim case.

zlCaseIdstring

Example:ZL-CA0000369469

businessKeystring

Example:CA0000369469

correlationidstring

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

sorSystemstring

Example:LIFECAD

sourceSystemstring

Example:ZAHARA

carrierIdstring

Example:OTP_DC

planCodestring

Example:EVIU101

policyNumberstring

Example:EVIUL7RED022

updateDatestring(date)

Date (with pattern “yyyy-mm-dd”)

Example:2026-10-12

beneficiaryRecordIdstring

Example:BEN-10045

beneficiaryobject

Beneficiary/party details used internally by notification-method update processing.

Show Child Parameters
beneficiaryChangeDetailobject
Show Child Parameters
contactEstablishedboolean

Example:true

taskActionsarray[string]

Allowed values:RESEND_PACKETCONTACT_ESTABLISHEDUPDATE_NOTIFICATION_METHOD

Example:UPDATE_NOTIFICATION_METHOD

Response

application/json

Update Notification Method Transaction Accepted

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

put/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/initialdeathclaim/notificationmethod

Body

{}
 
application/json

Address Change Request

put

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which address need to be updated it be avaible under SOR Policy Details

addressIdinteger(int32)required

AddressId for which address need to be updated it be avaible under SOR Policy Details

Body

application/json

AddressChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

preferredAddressIndicatorstringrequired

Indicates whether the address being added should be set as default or not.

Allowed values:YESNO

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

addressobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

put/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/address/{addressId}

Body

{ "preferredAddressIndicator": "YES", "effectiveDate": "effectiveDate", "address": { "startDate": "startDate", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "city": "Houston", "state": "AL", "zipCode": "66636", "country": "US" } }
 
application/json

Eligibility Check Email Address Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Email Address Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/emailaddress/eligibilitycheck
 
application/json

Eligibility Check Address Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Email Address Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/address/eligibilitycheck
 
application/json

Create new address based on request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired

Body

application/json

AddressChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

preferredAddressIndicatorstringrequired

Indicates whether the address being added should be set as default or not.

Allowed values:YESNO

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

addressobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/address

Body

{ "preferredAddressIndicator": "YES", "effectiveDate": "effectiveDate", "address": { "startDate": "startDate", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "city": "Houston", "state": "AL", "zipCode": "66636", "country": "US" } }
 
application/json